Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(131)

Unified Diff: third_party/pkg/angular/scripts/analyze.sh

Issue 148453003: Updating Angular version (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 6 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/pkg/angular/run-test.sh ('k') | third_party/pkg/angular/scripts/changelog/authors.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/pkg/angular/scripts/analyze.sh
diff --git a/third_party/pkg/angular/scripts/analyze.sh b/third_party/pkg/angular/scripts/analyze.sh
new file mode 100755
index 0000000000000000000000000000000000000000..02c24298f20138608091412766df9f024d6d21a0
--- /dev/null
+++ b/third_party/pkg/angular/scripts/analyze.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+. $(dirname $0)/env.sh
+
+OUT=tmp/all.dart
+mkdir -p tmp
+
+$DARTANALYZER --version
+
+echo // generated file > $OUT
+
+for FILE in $(ls lib/angular.dart perf/*_perf.dart test/*_spec.dart test/*/*_spec.dart)
+do
+ echo export \'../$FILE\' hide main, NestedRouteInitializer\; >> $OUT
+done
+
+$(dirname $0)/generate-expressions.sh
+
+$DARTANALYZER $OUT
« no previous file with comments | « third_party/pkg/angular/run-test.sh ('k') | third_party/pkg/angular/scripts/changelog/authors.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698